﻿
drop sequence JEFY_ADMIN.UTILISATEUR_FONCT_ORGAN_seq;
drop table JEFY_ADMIN.UTILISATEUR_FONCT_ORGAN;



CREATE TABLE JEFY_ADMIN.UTILISATEUR_ORGAN
(
  UO_ID    NUMBER                              NOT NULL,
  UTL_ORDRE  NUMBER                              NOT NULL,
  ORG_ID    NUMBER                              NOT NULL
)
LOGGING 
NOCACHE
NOPARALLEL;

COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_ORGAN.UO_ID IS 'Identifiant';

COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_ORGAN.UTL_ORDRE IS 'Reference un UTILISATEUR';

COMMENT ON COLUMN JEFY_ADMIN.UTILISATEUR_ORGAN.ORG_ID IS 'Reference un ORGAN';


ALTER TABLE JEFY_ADMIN.UTILISATEUR_ORGAN ADD (
  PRIMARY KEY (UO_ID));



ALTER TABLE JEFY_ADMIN.UTILISATEUR_ORGAN ADD (
  CONSTRAINT FK_UO_ORG_ID FOREIGN KEY (ORG_ID) 
    REFERENCES JEFY_ADMIN.ORGAN (ORG_ID)
    DEFERRABLE INITIALLY DEFERRED);

ALTER TABLE JEFY_ADMIN.UTILISATEUR_ORGAN ADD (
  CONSTRAINT FK_UO_UTL_ORDRE FOREIGN KEY (UTL_ORDRE) 
    REFERENCES JEFY_ADMIN.UTILISATEUR (UTL_ORDRE)
    DEFERRABLE INITIALLY DEFERRED);

	
CREATE SEQUENCE JEFY_ADMIN.UTILISATEUR_ORGAN_SEQ
  START WITH 1
  MAXVALUE 1E27
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;



ALTER TABLE JEFY_ADMIN.ORGAN
ADD (ORG_SOUSCR VARCHAR2(10));